<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Радиальные градиенты</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.container {
		margin: 0 auto;
		width: 1170px;
	}

	.example {
		position: relative;
		padding: 10px;
		width: 100%;
		height: 400px;
		border: 1px solid #000
	}

	.example:not(:last-child) {
		margin-bottom: 26px;
	}


	.example_1 {
		background-image: radial-gradient(gold, orangered);
	}

	.example_2 {
		background-image: radial-gradient(skyblue 50%, steelblue 70%);
	}

	.example_3 {
		background-image: radial-gradient(circle, skyblue 50%, steelblue 70%);
	}

	.example.top {
		background-image: radial-gradient(at top, purple, crimson, orangered, gold);
	}

	.example.right {
		background-image: radial-gradient(at right, purple, crimson, orangered, gold);
	}

	.example.bottom {
		background-image: radial-gradient(at bottom, purple, crimson, orangered, gold);
	}

	.example.left {
		background-image: radial-gradient(at left, purple, crimson, orangered, gold);
	}

	.example.center {
		background-image: radial-gradient(at center, purple, crimson, orangered, gold);
	}

	.example.top-left {
		background-image: radial-gradient(at top left, purple, crimson, orangered, gold);
	}

	.example.top-right {
		background-image: radial-gradient(at top right, purple, crimson, orangered, gold);
	}

	.example.bottom-left {
		background-image: radial-gradient(at bottom left, purple, crimson, orangered, gold);
	}

	.example.bottom-right {
		background-image: radial-gradient(at bottom right, purple, crimson, orangered, gold);
	}

	.example.ellipse {
		background-image: radial-gradient(7em 1.2em, turquoise 93%, lightseagreen 100%);
	}

	.example.ellipse2 {
		background-image: radial-gradient(1em 6em at bottom, turquoise 93%, lightseagreen 100%);
	}

	.example.circle {
		background-image: radial-gradient(3em, lightseagreen 93%, turquoise 100%);
	}

	.example.circle2 {
		background-image: radial-gradient(7em at right, lightseagreen 97%, turquoise 100%);
	}

	.example.grad-1 {
		background-image: repeating-radial-gradient(at bottom,
		lemonchiffon, lemonchiffon .7em,
		transparent .7em, transparent 1.5em);
		background-image-color: khaki;
	}

	.example.grad-2 {
		background-image: repeating-radial-gradient(circle,
		darkkhaki, darkkhaki .5em,
		transparent .5em, transparent 1.5em);
		background-image-color: khaki;
	}


</style>
<body>
<main>
	<section class="container">
		<div style="background-image-color: #FFEDBB" class="example example_1">
			div 1
		</div>
		<h2>
			<code>
				Форма градиента
			</code>
		</h2>
		<div style="background-image-color: #FFEDBB" class="example example_2">
			radial-gradient(skyblue 50%, steelblue 70%)
		</div>
		<div style="background-image-color: #FFEDBB" class="example example_3">
			radial-gradient(circle, skyblue 50%, steelblue 70%)
		</div>
		<h2>
			<code>
				Центр градиента
			</code>
		</h2>
		<div style="background-image-color: #FFEDBB" class="example top">
			top
		</div>
		<div style="background-image-color: #FFEDBB" class="example right">
			right
		</div>
		<div style="background-image-color: #FFEDBB" class="example bottom">
			bottom
		</div>
		<div style="background-image-color: #FFEDBB" class="example left">
			left
		</div>
		<div style="background-image-color: #FFEDBB" class="example center">
			center
		</div>
		<div style="background-image-color: #FFEDBB" class="example top-left">
			top-left
		</div>
		<div style="background-image-color: #FFEDBB" class="example top-right">
			top-right
		</div>
		<div style="background-image-color: #FFEDBB" class="example bottom-left">
			bottom-left
		</div>
		<div style="background-image-color: #FFEDBB" class="example bottom-right">
			bottom-right
		</div>

		<h2>
			<code>
				Размер градиента
			</code>
		</h2>
		<div style="background-image-color: #FFEDBB" class="example ellipse">
			radial-gradient(7em 1.2em, ...);
		</div>
		<div style="background-image-color: #FFEDBB" class="example ellipse2">
			radial-gradient(1em 6em at bottom, ...);
		</div>
		<div style="background-image-color: #FFEDBB" class="example circle">
			radial-gradient(3em, ...);
		</div>
		<div style="background-image-color: #FFEDBB" class="example circle2">
			radial-gradient(7em at right, ...);
		</div>

		<h2>
			<code>
				repeating-radial-gradient
			</code>
		</h2>
		<div style="background-image-color: #FFEDBB" class="example grad-1">

		</div>
		<div style="background-image-color: #FFEDBB" class="example grad-2">

		</div>

	</section>
</main>
</body>
</html>
